.product-container {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    padding: 20px;
}

@media only screen and (max-width: 767px) {
    .product-container {
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: flex-start;
        padding: 6px;
    }
}

.product-container .column {
    flex: 1;
    padding: 10px;
}

.product-details {
    margin-top: 20px;
}

.product-name {
    font-size: 20px;
    margin-bottom: 10px;
}

.product-price {
    font-size: 24px;
    color: #007bff;
    margin-bottom: 10px;
    font-weight: bold;
}

.product-description {
    margin-bottom: 20px;
}

.product-container .column:first-child {
    width: 25em;
}

.product-container .column.mid {
    width: 205em;
}

@media only screen and (max-width: 767px) {
    .product-container .column {
        padding: 0;
        width: 100%;
    }

    .product-container .column:first-child {
        width: 100%;
    }

    .product-container .column.mid {
        width: 100%;
    }
}

.product-container .column .default-image {
    width: 100%;
    height: 31.4em;
    object-fit: contain;
    margin-bottom: 20px;
}

.product-container .column .default-image .product-image {
    width: 100%;
    height: 100%;
    border: 1px solid #ccc;
    border-radius: 5px;
}

.product-container .column .product-images {
    display: flex;
    gap: 10px;
    max-width: 100%; /* Ensure the container doesn't exceed its parent's width */
    overflow-x: auto; /* Add horizontal scroll if needed */
    overflow-y: hidden;
    padding-bottom: 10px;
}

.thumbnail {
    width: 10em;
    max-width: 7em;
    height: 7em;
    border: 1px solid #ccc;
    border-radius: 5px;
    cursor: pointer;
    background-color: gold;
}

.thumbnail:hover {
    border-color: #007bff; /* Change border color on hover */
}

.product-images::-webkit-scrollbar {
    height: 10px; /* Set the width of the scrollbar */
}

/* Track */
.product-images::-webkit-scrollbar-track {
    background: rgba(0, 0, 0, 0.07); /* Set the color of the scrollbar track */
}

/* Handle */
.product-images::-webkit-scrollbar-thumb {
    background: #ccc; /* Set the color of the scrollbar handle */
    border-radius: 2px; /* Add border-radius to the scrollbar handle */
}

/* Handle on hover */
.product-images::-webkit-scrollbar-thumb:hover {
    background: #555; /* Change the color of the scrollbar handle on hover */
}

.action-buttons {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-bottom: 20px;
}

.action-buttons button {
    padding: 9px 9px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin: 4px 10px 4px 0;
    transition-duration: 0.4s;
    cursor: pointer;
    border-radius: 9px;
}

.action-buttons button.buy {
    background-color: black;
    color: white;
}

.action-buttons button:hover {
    background-color: #45a049; /* Darker green on hover */
    box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
    color: white;
}

.action-buttons button:active {
    background-color: #3e8e41; /* Dark green when clicked */
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
}

.product_stats {
    display: grid;
    grid-template-columns: auto auto;
    gap: 10px;
    margin-bottom: 20px;
}

.product-dsr-cont {
    /*border: 0.2px solid #cccccc7a;*/
    border-radius: 9px;
    height: 19.443em;
}

.product-dsr-cont .tabs-buttons {
    display: flex;
    align-items: center;
    background: #f9f9f9;
    border-radius: 9px 9px 0 0;
}

.product-dsr-cont .tabs-buttons .tab-button {
    padding: 10px;
    border-bottom: 0;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: default;
}

.product-dsr-cont .tabs-buttons .tab-button.active {
    border-bottom: 2px solid blue;
}

.product-dsr-cont .tabs {
    display: -webkit-box;
    padding: 10px 10px 30px 10px;
    height: 14.33em;
    overflow-y: auto;
    margin: 0.5px 10px 0 0;
}

.product-dsr-cont .tabs .tab {
    width: 100%;
}

.product-dsr-cont .tabs::-webkit-scrollbar {
    width: 6px;
}

.product-dsr-cont .tabs::-webkit-scrollbar-track {
    background: rgba(0, 0, 0, 0.07); /* Set the color of the scrollbar track */
}

/* Handle */
.product-dsr-cont .tabs::-webkit-scrollbar-thumb {
    background: #ccc; /* Set the color of the scrollbar handle */
    border-radius: 2.5555px; /* Add border-radius to the scrollbar handle */
}

/* Handle on hover */
.product-dsr-cont .tabs::-webkit-scrollbar-thumb:hover {
    background: #555; /* Change the color of the scrollbar handle on hover */
}

.shop-info {
    background-color: white;
    padding: 20px;
    border-radius: 5px;
    display: flex;
    flex-direction: column;
    gap: 6px;
    width: 90%
}

.shop-info .name {
    font-weight: bold;
    font-size: 23px;
    display: flex;
    align-items: center;
    gap: 10px;
}

.shop-info .owner {
    font-size: 14px;
    display: flex;
    align-items: center;
    gap: 10px;
}

.shop-info .buttons {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-top: 20px;
}

.shop-info .buttons button {
    border: none;
    cursor: pointer;
    padding: 10px 15px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    border-radius: 8px;
}


.quantity-card {
    position: fixed;
    transform: translate(-50%, -50%);
    padding: 10px;
    background-color: white;
    left: 50%;
    top: 50%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    gap: 6px;
    border-radius: 10px;
    border: 2px solid black;
}

.quantity-card input {
    width: 17em;
    height: 2em;
}

.quantity-card label {
    font-size: 15px;
}

.quantity-card #place-order-btn {
    width: 100%;
    height: 40px;
    border-radius: 100px;
    border: none;
    background-color: goldenrod;
    color: white;
}

.quantity-card button[disabled]#place-order-btn {
    background-color: #ccc;
}

.quantity-card i.fa-regular.fa-close {
    position: relative;
    margin-left: 95%
}

@media only screen and (max-width: 767px) {
    .quantity-card {
        transform: translate(-50%, -50%) scale(1.3);
    }
}


.related-in-shop {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

@media (max-width: 767px) {
    .related-in-shop {
        overflow-x: scroll;
        display: flex;
        flex-wrap: nowrap;
        justify-content: start;
        gap: 10px;
    }
}
